/*
    ! ./index.js – Central Project Module
    ? 
*/

(async () => {
    // $ initial software boot loader
    // ?? Usage: "bootData.var" (e.g. "bootData.npm.express" or "bootData.dir.coreDir")
    const bootData = await (async () => {
        try {
            // % load bootup file
            const bootLoader = require("./startup/index");

            // ~ startup bootloader and return result
            return await bootLoader();
        } catch (e) {
            // ~ log error in console
            console.error("Error in boot process:", e);

            // ~ exit process
            process.exit(1);
        }
    })();
})();
